
eTBM 3 - Feature #1767

Feature # 1766 (Closed): Admin - Error log

Register error logs in the system

06/21/2016 04:00 PM - Ricardo Memoria

Status: Closed Start date: 06/21/2016

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2.9.2 - Aug 22th, 2016 Spent time: 0.00 hour

Complexity:    

Description

In case of an unhandled exception, register it in the errorlog table and send message to the administrators about the error.

History

#1 - 06/30/2016 01:29 PM - Maurício Dos Santos

- Status changed from New to In Progress

#2 - 07/01/2016 03:59 AM - Maurício Dos Santos

- Status changed from In Progress to New

#3 - 07/01/2016 04:34 AM - Maurício Dos Santos

- Status changed from New to In Progress

#4 - 07/06/2016 09:32 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#5 - 07/15/2016 01:09 PM - Ricardo Memoria

- Status changed from Resolved to Feedback

Error log is not registered if system cannot send e-mail about error.

Even if the message cannot be sent (SMTP server is down, for example) the error log must be saved.

Probably handling e-mail dispatch exceptions shall solve this issue.

#6 - 07/18/2016 05:30 PM - Maurício Dos Santos

- Status changed from Feedback to In Progress

#7 - 07/18/2016 06:02 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#8 - 07/29/2016 04:23 PM - Ricardo Memoria

- Status changed from Resolved to Closed
